package com.example.springbootdemo.controller;

import com.example.springbootdemo.zxyTeST.sql.dao.ArmGrabRepository;
import com.example.springbootdemo.zxyTeST.sql.dao.ColorRepository;
import com.example.springbootdemo.zxyTeST.sql.entity.ArmGrabEntity;
import com.example.springbootdemo.zxyTeST.sql.entity.Color;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class HelloController {
    @Autowired
    ColorRepository colorRepository;
    @Autowired
    ArmGrabRepository armGrabRepository;
    @Autowired
    JdbcTemplate jdbcTemplate;
    @RequestMapping("/hello")
    public void hello() {
        List<Color> listColors = colorRepository.findByColorId(2314);
        for (Color color:listColors) {
            System.out.println("color_name="+color.getColorName()+"    color_id="+color.getColorId());
        }
        List<ArmGrabEntity> armGrabEntityList = armGrabRepository.findByArmGrabId(1);
        for (ArmGrabEntity armGrabEntity:armGrabEntityList) {
            System.out.println("id="+armGrabEntity.getArmGrabId()+"    device_code="+armGrabEntity.getDeviceCode());
        }
    }
    @RequestMapping("/jdbc")
    public String jdbc() {
        String sql = "select color_name from wb_tbl_color where color_id = ?";
        String color_name = (String)jdbcTemplate.queryForObject(
                sql, new Object[] { 2314 }, String.class);
        return color_name;
    }


}

